Bug 1214 - Fourth DVI screen blank or gets no signal
Fourth DVI screen blank or gets no signal
Status: RESOLVED WONTFIX
Product: xorg
Classification: Unclassified
Component: Driver/Radeon
6.8.0
x86 (IA32) Linux (All)
: high major
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-27 18:08 UTC by Mathieu Chouquet-Stringer
Modified: 2010-03-26 18:55 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (65.69 KB, text/plain)
2004-08-27 18:08 UTC, Mathieu Chouquet-Stringer
no flags Details
xorg.conf (4.29 KB, text/plain)
2004-08-27 18:08 UTC, Mathieu Chouquet-Stringer
no flags Details
6.7.0 log (59.86 KB, text/plain)
2004-12-21 08:13 UTC, Mathieu Chouquet-Stringer
no flags Details
6.8.1.901 Log (61.77 KB, text/plain)
2004-12-21 08:13 UTC, Mathieu Chouquet-Stringer
no flags Details
Diff file between 6.7.0 and 6.8.1.901 (22.39 KB, patch)
2004-12-21 08:14 UTC, Mathieu Chouquet-Stringer
no flags Details | Splinter Review
Diff between Xorg.log version 6.7.0 and 6.8.2 (23.43 KB, text/plain)
2005-03-30 14:06 UTC, Mathieu Chouquet-Stringer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Chouquet-Stringer 2004-08-27 18:08:00 UTC
I just upgraded my box from Fedora Core 2 to dora Core release 2.90 (FC3 Test 1)
with the latest updates (xorg-x11 version 6.7.99.902-8).
My setup was working perfectly in Core 2 but it's no longer the case.

This PC has a PCI Appian graphic card: 2 radeon gpus that output to four
screens. This setup was working perfectly but now, only 3 out of the 4 screens
(3 LCDs and one plasma screen) are usable. I say usable because the last one,
albeit on, just displays a blank screen (ie I'm able to send windows or the
mouse pointer there but it's kind of a black hole as I can't see anything).
This monitor (a dell lcd in this case) is on, ie it "sees" a signal at this
point (and is on).

Moreover, I can't switch back to the virtual console, I only get garbled output
on the screens (this also used to work with the xorg version present in Core 2).

This behaviour is totally reproducible across restarts.

I can provide more details or help debuging stuff, just let me know.

I'm also attaching my xorg.conf and Xorg.0.log.

- Mathieu
Comment 1 Mathieu Chouquet-Stringer 2004-08-27 18:08:35 UTC
Created attachment 752 [details]
Xorg.0.log
Comment 2 Mathieu Chouquet-Stringer 2004-08-27 18:08:53 UTC
Created attachment 753 [details]
xorg.conf
Comment 3 Mathieu Chouquet-Stringer 2004-08-30 05:45:27 UTC
Just tested 6.7.99.903, same result.
Comment 4 Mathieu Chouquet-Stringer 2004-09-07 14:13:03 UTC
It works again with version 6.7.99.903-5 (that's the rpm version).
I'll be resolving this ticket if I don't hear from anyone before the end of the
week (I found strange no one even picked it up).

- Mathieu
Comment 5 Mathieu Chouquet-Stringer 2004-09-09 03:36:59 UTC
As per my last message I'm resolving this problem.
Comment 6 Mathieu Chouquet-Stringer 2004-09-10 06:32:11 UTC
Doesn't work with 6.7.99.903-6, hence reopening this bug.
Comment 7 Alex Deucher 2004-10-08 06:56:25 UTC
this may be related to bug 1559
Comment 8 Mathieu Chouquet-Stringer 2004-10-14 17:37:33 UTC
Not sure as with the latest updates (6.8.1-4 on Fedora), there seems to be a
misdetection of the memory area: 1 monitor is still not being detected/activated
but on the 2 that are on the same chipset, i've got overlap at the bottom of the
screen (ie a rectangular area is actually from the "other" monitor, like having
the "other" on top of the main one).
Interestingly enough, if I start xfree 6.7.0, kill it and then upgrade to 6.8.1,
as long as I don't reboot, 6.8.1 will work fine: definitely something in the
initialization of the card.
Comment 9 Chris Hubick 2004-12-08 14:02:55 UTC
Thanks again to Mathieu for bringing this to the attention of those of us over
in the downstream Fedora bug for this:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138479

Just crosspolinating links to make sure devs and users have access to all the
reported info :)
Comment 10 Mathieu Chouquet-Stringer 2004-12-21 08:12:46 UTC
Just tested 6.8.2rc1 a.k.a 6.8.1.901 by Mike A. Harris.

We're almost there. 3 out of the 4 displays are working. The last one is on but
displays nothing (black screen).

On the plus side, the memory detection seems to be ok as I don't get this
overlap anymore at the bottom of the screen.

I'm attaching log file for 6.7.0 and 6.8.1.901 and a diff between these two.
Comment 11 Mathieu Chouquet-Stringer 2004-12-21 08:13:33 UTC
Created attachment 1582 [details]
6.7.0 log
Comment 12 Mathieu Chouquet-Stringer 2004-12-21 08:13:56 UTC
Created attachment 1583 [details]
6.8.1.901 Log
Comment 13 Mathieu Chouquet-Stringer 2004-12-21 08:14:29 UTC
Created attachment 1584 [details] [review]
Diff file between 6.7.0 and 6.8.1.901
Comment 14 Mathieu Chouquet-Stringer 2005-01-18 06:06:10 UTC
Tested with xorg version 6.8.1.902-1 (6.8.2rc2, rpms in rawhide by Mike A.
Harris), same thing.
Comment 15 Ross Beyer 2005-03-30 12:24:46 UTC
I have encountered a similar problem on my system.  I have an ATI Fire GL Z1 
card with dual DVI outs.  When I use a Dual-headed layout, I get a desktop on 
the primary monitor, and the secondary monitor indicates that it is getting 
some kind of signal, but the screen remains blank.  My Xorg.0.log file 
indicates that it is getting EDID data from the second port, but then it gives: 
 
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode 
disabled 
 
I was hoping that 6.8.2 would fix it, but it doesn't.  Like the Fedora bug, I 
tried goofing with MergedFB, DDCon, and MonitorLayout, but to no avail 
(however, I may just not know how all of that stuff fits together, the radeon 
man page is descriptive, but a how-to would be nice). 
 
The kicker is that on a previous computer (with the same ATI card) last fall 
(Xorg from September 2004, don't know the version), the dual-head worked just 
fine. 
 
I'm happy to upload log files and configuration files, if that is needed. 
 
Comment 16 Sean Millichamp 2005-03-30 12:53:02 UTC
(In reply to comment #15)
  
> The kicker is that on a previous computer (with the same ATI card) last fall 
> (Xorg from September 2004, don't know the version), the dual-head worked just 
> fine. 

I can also confirm that this still doesn't work with 6.8.2.  It does work just
fine with the 6.7.0 RPMs from Fedora Core 2 - I would presume any 6.7.0 varient
would also work.
Comment 17 Mathieu Chouquet-Stringer 2005-03-30 14:05:14 UTC
(In reply to comment #16)
> I can also confirm that this still doesn't work with 6.8.2.  It does work just
> fine with the 6.7.0 RPMs from Fedora Core 2 - I would presume any 6.7.0 varient
> would also work.

Same here (just tried the 6.8.2-1.FC3.13 RPMs for Fedora Core 3).
I'm attaching a diff of Xorg.log between version 6.7.0 and 6.8.2.

- Mathieu
Comment 18 Mathieu Chouquet-Stringer 2005-03-30 14:06:15 UTC
Created attachment 2263 [details]
Diff between Xorg.log version 6.7.0 and 6.8.2
Comment 19 Mathieu Chouquet-Stringer 2005-03-30 14:08:28 UTC
Comment on attachment 2263 [details]
Diff between Xorg.log version 6.7.0 and 6.8.2

>--- Xorg.0.log.6.7.0	2005-03-30 16:14:37.000000000 -0500
>+++ Xorg.0.log.6.8.2	2005-03-30 16:56:28.000000000 -0500
>@@ -1,19 +1,20 @@
> 
>-Release Date: 18 December 2003
>-X Protocol Version 11, Revision 0, Release 6.7
>-Build Operating System: Linux 2.4.21-14.ELsmp i686 [ELF] 
>-Current Operating System: Linux shookay.XXXX 2.6.11.5 #1 Mon Mar 21 09:37:56 EST 2005 i686
>-Build Date: 28 September 2004
>+X Window System Version 6.8.2
>+Release Date: 9 February 2005
>+X Protocol Version 11, Revision 0, Release 6.8.2
>+Build Operating System: Linux 2.6.9-1.906_ELsmp i686 [ELF] 
>+Current Operating System: Linux shookay.XXXX 2.6.11.6 #1 Wed Mar 30 12:47:21 EST 2005 i686
>+Build Date: 24 March 2005
> Build Host: tweety.build.redhat.com
>  
> 	Before reporting problems, check http://wiki.X.Org
> 	to make sure that you have the latest version.
> Module Loader present
>-OS Kernel: Linux version 2.6.11.5 (mchouque@shookay.XXXX) (gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)) #1 Mon Mar 21 09:37:56 EST 2005 
>+OS Kernel: Linux version 2.6.11.6 (mchouque@shookay.XXXX) (gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)) #1 Wed Mar 30 12:47:21 EST 2005 
> Markers: (--) probed, (**) from config file, (==) default setting,
> 	(++) from command line, (!!) notice, (II) informational,
> 	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>-(==) Log file: "/var/log/Xorg.0.log", Time: Mon Mar 21 10:03:51 2005
>+(==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar 30 16:54:10 2005
> (==) Using config file: "/etc/X11/xorg.conf"
> (==) ServerLayout "Default Layout"
> (**) |-->Screen "Screen0" (0)
>@@ -47,14 +48,14 @@
> (II) LoadModule: "bitmap"
> (II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
> (II) Module bitmap: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	Module class: X.Org Font Renderer
> 	ABI class: X.Org Font Renderer, version 0.4
> (II) Loading font Bitmap
> (II) LoadModule: "pcidata"
> (II) Loading /usr/X11R6/lib/modules/libpcidata.a
> (II) Module pcidata: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Video Driver, version 0.7
> (++) using VT number 7
> 
>@@ -226,14 +227,14 @@
> (II) LoadModule: "dbe"
> (II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
> (II) Module dbe: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	Module class: X.Org Server Extension
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading extension DOUBLE-BUFFER
> (II) LoadModule: "extmod"
> (II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
> (II) Module extmod: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	Module class: X.Org Server Extension
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading extension SHAPE
>@@ -246,7 +247,6 @@
> (II) Loading extension XFree86-Misc
> (II) Loading extension XFree86-DGA
> (II) Loading extension DPMS
>-(II) Loading extension FontCache
> (II) Loading extension TOG-CUP
> (II) Loading extension Extended-Visual-Information
> (II) Loading extension XVideo
>@@ -255,38 +255,38 @@
> (II) LoadModule: "fbdevhw"
> (II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
> (II) Module fbdevhw: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 0.0.2
>+	compiled for 6.8.2, module version = 0.0.2
> 	ABI class: X.Org Video Driver, version 0.7
> (II) LoadModule: "glx"
> (II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
> (II) Module glx: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading sub module "GLcore"
> (II) LoadModule: "GLcore"
> (II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
> (II) Module GLcore: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading extension GLX
> (II) LoadModule: "record"
> (II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
> (II) Module record: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.13.0
>+	compiled for 6.8.2, module version = 1.13.0
> 	Module class: X.Org Server Extension
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading extension RECORD
> (II) LoadModule: "freetype"
> (II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so
> (II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
>-	compiled for 6.7.0, module version = 2.1.0
>+	compiled for 6.8.2, module version = 2.1.0
> 	Module class: X.Org Font Renderer
> 	ABI class: X.Org Font Renderer, version 0.4
> (II) Loading font FreeType
> (II) LoadModule: "type1"
> (II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
> (II) Module type1: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.2
>+	compiled for 6.8.2, module version = 1.0.2
> 	Module class: X.Org Font Renderer
> 	ABI class: X.Org Font Renderer, version 0.4
> (II) Loading font Type1
>@@ -294,37 +294,37 @@
> (II) LoadModule: "dri"
> (II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
> (II) Module dri: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading sub module "drm"
> (II) LoadModule: "drm"
> (II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
> (II) Module drm: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Server Extension, version 0.2
> (II) Loading extension XFree86-DRI
> (II) LoadModule: "radeon"
> (II) Loading /usr/X11R6/lib/modules/drivers/radeon_drv.o
> (II) Module radeon: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 4.0.1
>+	compiled for 6.8.2, module version = 4.0.1
> 	Module class: X.Org Video Driver
> 	ABI class: X.Org Video Driver, version 0.7
> (II) LoadModule: "ati"
> (II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
> (II) Module ati: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 6.5.6
>+	compiled for 6.8.2, module version = 6.5.6
> 	Module class: X.Org Video Driver
> 	ABI class: X.Org Video Driver, version 0.7
> (II) LoadModule: "mouse"
> (II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
> (II) Module mouse: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	Module class: X.Org XInput Driver
> 	ABI class: X.Org XInput driver, version 0.4
> (II) LoadModule: "kbd"
> (II) Loading /usr/X11R6/lib/modules/input/kbd_drv.o
> (II) Module kbd: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	Module class: X.Org XInput Driver
> 	ABI class: X.Org XInput driver, version 0.4
> (II) ATI: ATI driver (version 6.5.6) for chipsets: ati, ativga
>@@ -371,9 +371,10 @@
> 	ATI Radeon Mobility 9000 (M9) Lf (AGP),
> 	ATI Radeon Mobility 9000 (M9) Lg (AGP),
> 	ATI Radeon 9100 IGP (A5) 5834,
>-	ATI Radeon Mobility 9100 IGP (U3) 5835,
>-	ATI Radeon 9200PRO 5960 (AGP), ATI Radeon 9200 5961 (AGP),
>-	ATI Radeon 9200 5962 (AGP), ATI Radeon 9200SE 5964 (AGP),
>+	ATI Radeon Mobility 9100 IGP (U3) 5835, ATI Radeon 9100 PRO IGP 7834,
>+	ATI Radeon Mobility 9200 IGP 7835, ATI Radeon 9200PRO 5960 (AGP),
>+	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
>+	ATI Radeon 9200SE 5964 (AGP),
> 	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
> 	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD (AGP),
> 	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
>@@ -382,16 +383,36 @@
> 	ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
> 	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
> 	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
>-	ATI FireGL RV360 AV (AGP), ATI Radeon Mobility 9600 (M10) NP (AGP),
>+	ATI FireGL RV360 AV (AGP),
>+	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
> 	ATI Radeon Mobility 9600 (M10) NQ (AGP),
> 	ATI Radeon Mobility 9600 (M11) NR (AGP),
> 	ATI Radeon Mobility 9600 (M10) NS (AGP),
> 	ATI FireGL Mobility T2 (M10) NT (AGP),
>-	ATI FireGL Mobility T2 (M11) NV (AGP), ATI Radeon 9800SE AH (AGP),
>+	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon 9800SE AH (AGP),
> 	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
> 	ATI FireGL X2 AK (AGP), ATI Radeon 9800PRO NH (AGP),
> 	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
>-	ATI Radeon 9800XT NJ (AGP)
>+	ATI Radeon 9800XT NJ (AGP), ATI Radeon X600 (RV380) 3E50 (PCIE),
>+	ATI FireGL V3200 (RV380) 3E54 (PCIE),
>+	ATI Radeon Mobility X600 (M24) 3150 (PCIE),
>+	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X300 (RV370) 5B60 (PCIE),
>+	ATI Radeon X600 (RV370) 5B62 (PCIE),
>+	ATI FireGL V3100 (RV370) 5B64 (PCIE),
>+	ATI FireGL D1100 (RV370) 5B65 (PCIE),
>+	ATI Radeon Mobility M300 (M22) 5460 (PCIE),
>+	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R420) JH (AGP),
>+	ATI Radeon X800PRO (R420) JI (AGP),
>+	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
>+	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
>+	ATI Radeon Mobility 9800 (M18) JN (AGP),
>+	ATI Radeon X800XT (R420) JP (AGP), ATI Radeon X800 (R423) UH (PCIE),
>+	ATI Radeon X800PRO (R423) UI (PCIE),
>+	ATI Radeon X800LE (R423) UJ (PCIE),
>+	ATI Radeon X800SE (R423) UK (PCIE),
>+	ATI FireGL V7200 (R423) UQ (PCIE), ATI FireGL V5100 (R423) UR (PCIE),
>+	ATI FireGL V7100 (R423) UT (PCIE),
>+	ATI Radeon X800XT (R423) 5D57 (PCIE)
> (II) Primary Device is: PCI 02:01:0
> (--) Chipset ATI Radeon VE/7000 QY (AGP/PCI) found
> (--) Chipset ATI Radeon VE/7000 QY (AGP/PCI) found
>@@ -530,7 +551,7 @@
> (II) LoadModule: "vgahw"
> (II) Loading /usr/X11R6/lib/modules/libvgahw.a
> (II) Module vgahw: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 0.1.0
>+	compiled for 6.8.2, module version = 0.1.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
> (II) RADEON(0): PCI bus 2 card 1 func 0
>@@ -543,7 +564,7 @@
> (II) LoadModule: "int10"
> (II) Loading /usr/X11R6/lib/modules/linux/libint10.a
> (II) Module int10: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) RADEON(0): initializing int10
> (WW) RADEON(0): Bad V_BIOS checksum
>@@ -557,32 +578,25 @@
> (II) LoadModule: "ddc"
> (II) Loading /usr/X11R6/lib/modules/libddc.a
> (II) Module ddc: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) Loading sub module "i2c"
> (II) LoadModule: "i2c"
> (II) Loading /usr/X11R6/lib/modules/libi2c.a
> (II) Module i2c: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.2.0
>+	compiled for 6.8.2, module version = 1.2.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) RADEON(0): I2C bus "DDC" initialized.
>-(II) RADEON(0): Reversed DACs detected
>+(II) RADEON(0): Legacy BIOS detected
>+(II) RADEON(0): Connector0: DDCType-2, DACType-0, TMDSType-0, ConnectorType-3
>+(II) RADEON(0): Connector1: DDCType-4, DACType-1, TMDSType-1, ConnectorType-3
> (II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
> (II) RADEON(0): I2C device "DDC:ddc2" removed.
> (II) RADEON(0): DDC Type: 2, Detected Type: 3
> (II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
> (II) RADEON(0): I2C device "DDC:ddc2" removed.
>-(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(0): I2C device "DDC:ddc2" removed.
>-(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(0): I2C device "DDC:ddc2" removed.
>-(II) RADEON(0): DDC Type: 3, Detected Type: 0
>-(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(0): I2C device "DDC:ddc2" removed.
> (II) RADEON(0): DDC Type: 4, Detected Type: 3
>-(II) RADEON(0): Displays Detected: Monitor1--Type 3, Monitor2--Type 3
>-
>-(II) RADEON(0): Monitor1 EDID data ---------------------------
>+(II) RADEON(0): EDID data from the display on port 1 ----------------------
> (II) RADEON(0): Manufacturer: DEL  Model: e001  Serial#: 808928848
> (II) RADEON(0): Year: 2002  Week: 45
> (II) RADEON(0): EDID Version: 1.3
>@@ -612,8 +626,7 @@
> (II) RADEON(0): Serial No: 7R4772B607FP
> (II) RADEON(0): Monitor name: DELL 1800FP
> (II) RADEON(0): Ranges: V min: 56  V max: 85 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
>-(II) RADEON(0): End of Monitor1 EDID data --------------------
>-(II) RADEON(0): Monitor2 EDID data ---------------------------
>+(II) RADEON(0): EDID data from the display on port 2-----------------------
> (II) RADEON(0): Manufacturer: DEL  Model: e001  Serial#: 809914696
> (II) RADEON(0): Year: 2002  Week: 45
> (II) RADEON(0): EDID Version: 1.3
>@@ -643,10 +656,23 @@
> (II) RADEON(0): Serial No: 7R4772B60FQH
> (II) RADEON(0): Monitor name: DELL 1800FP
> (II) RADEON(0): Ranges: V min: 56  V max: 85 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
>-(II) RADEON(0): End of Monitor2 EDID data --------------------
> (II) RADEON(0): 
>-(II) RADEON(0): Primary Display == Type 3
>+(II) RADEON(0): Reversed DAC decteced
>+(II) RADEON(0): Primary:
>+ Monitor   -- TMDS
>+ Connector -- DVI-I
>+ DAC Type  -- Primary
>+ TMDS Type -- Internal
>+ DDC Type  -- DVI_DDC
>+(II) RADEON(0): Secondary:
>+ Monitor   -- TMDS
>+ Connector -- DVI-I
>+ DAC Type  -- TVDAC/ExtDAC
>+ TMDS Type -- External
>+ DDC Type  -- CRT2_DDC
>+(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14000
> (II) RADEON(0): DFP table revision: 2
>+(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode disabled
> (==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
> (II) RADEON(0): Validating modes on Primary head ---------
> (II) RADEON(0): Panel size found from DDC: 1280x1024
>@@ -683,26 +709,26 @@
> (II) LoadModule: "fb"
> (II) Loading /usr/X11R6/lib/modules/libfb.a
> (II) Module fb: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org ANSI C Emulation, version 0.2
> (II) Loading sub module "ramdac"
> (II) LoadModule: "ramdac"
> (II) Loading /usr/X11R6/lib/modules/libramdac.a
> (II) Module ramdac: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 0.1.0
>+	compiled for 6.8.2, module version = 0.1.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) Loading sub module "xaa"
> (II) LoadModule: "xaa"
> (II) Loading /usr/X11R6/lib/modules/libxaa.a
> (II) Module xaa: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.1.0
>+	compiled for 6.8.2, module version = 1.2.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) RADEON(0): Depth moves disabled by default
> (II) Loading sub module "shadowfb"
> (II) LoadModule: "shadowfb"
> (II) Loading /usr/X11R6/lib/modules/libshadowfb.a
> (II) Module shadowfb: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org ANSI C Emulation, version 0.2
> (II) RADEON(0): Page flipping disabled
> (!!) RADEON(0): For information on using the multimedia capabilities
>@@ -736,7 +762,8 @@
> (II) LoadModule: "i2c"
> (II) Reloading /usr/X11R6/lib/modules/libi2c.a
> (II) RADEON(1): I2C bus "DDC" initialized.
>-(II) RADEON(1): Secondary Display == Type 3
>+(II) RADEON(1): Legacy BIOS detected
>+(II) RADEON(1): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14000
> (II) RADEON(1): DFP table revision: 2
> (==) RADEON(1): Using gamma correction (1.0, 1.0, 1.0)
> (II) RADEON(1): Validating modes on Secondary head ---------
>@@ -815,23 +842,16 @@
> (II) LoadModule: "i2c"
> (II) Reloading /usr/X11R6/lib/modules/libi2c.a
> (II) RADEON(2): I2C bus "DDC" initialized.
>-(II) RADEON(2): Reversed DACs detected
>+(II) RADEON(2): Legacy BIOS detected
>+(II) RADEON(0): Connector0: DDCType-2, DACType-0, TMDSType-0, ConnectorType-3
>+(II) RADEON(0): Connector1: DDCType-4, DACType-1, TMDSType-1, ConnectorType-3
> (II) RADEON(2): I2C device "DDC:ddc2" registered at address 0xA0.
> (II) RADEON(2): I2C device "DDC:ddc2" removed.
> (II) RADEON(2): DDC Type: 2, Detected Type: 3
> (II) RADEON(2): I2C device "DDC:ddc2" registered at address 0xA0.
> (II) RADEON(2): I2C device "DDC:ddc2" removed.
>-(II) RADEON(2): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(2): I2C device "DDC:ddc2" removed.
>-(II) RADEON(2): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(2): I2C device "DDC:ddc2" removed.
>-(II) RADEON(2): DDC Type: 3, Detected Type: 0
>-(II) RADEON(2): I2C device "DDC:ddc2" registered at address 0xA0.
>-(II) RADEON(2): I2C device "DDC:ddc2" removed.
> (II) RADEON(2): DDC Type: 4, Detected Type: 3
>-(II) RADEON(2): Displays Detected: Monitor1--Type 3, Monitor2--Type 3
>-
>-(II) RADEON(2): Monitor1 EDID data ---------------------------
>+(II) RADEON(2): EDID data from the display on port 1 ----------------------
> (II) RADEON(2): Manufacturer: DEL  Model: e001  Serial#: 809914678
> (II) RADEON(2): Year: 2002  Week: 45
> (II) RADEON(2): EDID Version: 1.3
>@@ -861,8 +881,7 @@
> (II) RADEON(2): Serial No: 7R4772B60FQ6
> (II) RADEON(2): Monitor name: DELL 1800FP
> (II) RADEON(2): Ranges: V min: 56  V max: 85 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
>-(II) RADEON(2): End of Monitor1 EDID data --------------------
>-(II) RADEON(2): Monitor2 EDID data ---------------------------
>+(II) RADEON(2): EDID data from the display on port 2-----------------------
> (II) RADEON(2): Manufacturer: DEL  Model: e001  Serial#: 808928846
> (II) RADEON(2): Year: 2002  Week: 45
> (II) RADEON(2): EDID Version: 1.3
>@@ -892,10 +911,23 @@
> (II) RADEON(2): Serial No: 7R4772B607FN
> (II) RADEON(2): Monitor name: DELL 1800FP
> (II) RADEON(2): Ranges: V min: 56  V max: 85 Hz, H min: 30  H max: 70 kHz, PixClock max 110 MHz
>-(II) RADEON(2): End of Monitor2 EDID data --------------------
> (II) RADEON(2): 
>-(II) RADEON(2): Primary Display == Type 3
>+(II) RADEON(2): Reversed DAC decteced
>+(II) RADEON(2): Primary:
>+ Monitor   -- TMDS
>+ Connector -- DVI-I
>+ DAC Type  -- Primary
>+ TMDS Type -- Internal
>+ DDC Type  -- DVI_DDC
>+(II) RADEON(2): Secondary:
>+ Monitor   -- TMDS
>+ Connector -- DVI-I
>+ DAC Type  -- TVDAC/ExtDAC
>+ TMDS Type -- External
>+ DDC Type  -- CRT2_DDC
>+(II) RADEON(2): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14000
> (II) RADEON(2): DFP table revision: 2
>+(WW) RADEON(2): Failed to detect secondary monitor, MergedFB/Clone mode disabled
> (==) RADEON(2): Using gamma correction (1.0, 1.0, 1.0)
> (II) RADEON(2): Validating modes on Primary head ---------
> (II) RADEON(2): Panel size found from DDC: 1280x1024
>@@ -974,7 +1006,8 @@
> (II) LoadModule: "i2c"
> (II) Reloading /usr/X11R6/lib/modules/libi2c.a
> (II) RADEON(3): I2C bus "DDC" initialized.
>-(II) RADEON(3): Secondary Display == Type 3
>+(II) RADEON(3): Legacy BIOS detected
>+(II) RADEON(3): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=14000
> (II) RADEON(3): DFP table revision: 2
> (==) RADEON(3): Using gamma correction (1.0, 1.0, 1.0)
> (II) RADEON(3): Validating modes on Secondary head ---------
>@@ -1028,7 +1061,7 @@
> (II) LoadModule: "rac"
> (II) Loading /usr/X11R6/lib/modules/librac.a
> (II) Module rac: vendor="X.Org Foundation"
>-	compiled for 6.7.0, module version = 1.0.0
>+	compiled for 6.8.2, module version = 1.0.0
> 	ABI class: X.Org Video Driver, version 0.7
> (II) resource ranges after preInit:
> 	[0] 1	0	0xff8e0000 - 0xff8effff (0x10000) MX[B]
>@@ -1088,10 +1121,11 @@
> 	[54] 1	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
> (==) RADEON(0): Write-combining range (0xf0000000,0x1000000)
> (WW) RADEON(0): Direct Rendering Disabled -- Dual-head configuration is not working with DRI at present.
>-Please use only one Device/Screen section in your XFConfig file.
>+Please use the radeon MergedFB option if you want Dual-head with DRI.
> (II) RADEON(0): Memory manager initialized to (0,0) (1280,3276)
> (II) RADEON(0): Reserved area from (0,1024) to (1280,1026)
> (II) RADEON(0): Largest offscreen area available: 1280 x 2250
>+(II) RADEON(0): Render acceleration disabled
> (II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
> 	Screen to screen bit blits
> 	Solid filled rectangles
>@@ -1115,10 +1149,10 @@
> (II) RADEON(0): Direct rendering disabled
> (==) RandR enabled
> (==) RADEON(1): Write-combining range (0xf1000000,0x1000000)
>-(II) RADEON(0): Wrote: rd=60, fd=480, pd=1
> (II) RADEON(1): Memory manager initialized to (0,0) (1280,3276)
> (II) RADEON(1): Reserved area from (0,1024) to (1280,1026)
> (II) RADEON(1): Largest offscreen area available: 1280 x 2250
>+(II) RADEON(1): Render acceleration disabled
> (II) RADEON(1): Using XFree86 Acceleration Architecture (XAA)
> 	Screen to screen bit blits
> 	Solid filled rectangles
>@@ -1143,10 +1177,11 @@
> (==) RandR enabled
> (==) RADEON(2): Write-combining range (0xe8000000,0x1000000)
> (WW) RADEON(2): Direct Rendering Disabled -- Dual-head configuration is not working with DRI at present.
>-Please use only one Device/Screen section in your XFConfig file.
>+Please use the radeon MergedFB option if you want Dual-head with DRI.
> (II) RADEON(2): Memory manager initialized to (0,0) (1280,3276)
> (II) RADEON(2): Reserved area from (0,1024) to (1280,1026)
> (II) RADEON(2): Largest offscreen area available: 1280 x 2250
>+(II) RADEON(2): Render acceleration disabled
> (II) RADEON(2): Using XFree86 Acceleration Architecture (XAA)
> 	Screen to screen bit blits
> 	Solid filled rectangles
>@@ -1170,10 +1205,10 @@
> (II) RADEON(2): Direct rendering disabled
> (==) RandR enabled
> (==) RADEON(3): Write-combining range (0xe9000000,0x1000000)
>-(II) RADEON(0): Wrote: rd=60, fd=480, pd=1
> (II) RADEON(3): Memory manager initialized to (0,0) (1280,3276)
> (II) RADEON(3): Reserved area from (0,1024) to (1280,1026)
> (II) RADEON(3): Largest offscreen area available: 1280 x 2250
>+(II) RADEON(3): Render acceleration disabled
> (II) RADEON(3): Using XFree86 Acceleration Architecture (XAA)
> 	Screen to screen bit blits
> 	Solid filled rectangles
>@@ -1208,9 +1243,13 @@
> (II) Initializing built-in extension XC-APPGROUP
> (II) Initializing built-in extension SECURITY
> (II) Initializing built-in extension XINERAMA
>+(II) Initializing built-in extension XFIXES
> (II) Initializing built-in extension XFree86-Bigfont
> (II) Initializing built-in extension RENDER
> (II) Initializing built-in extension RANDR
>+(II) Initializing built-in extension COMPOSITE
>+(II) Initializing built-in extension DAMAGE
>+(II) Initializing built-in extension XEVIE
> (**) Option "Protocol" "IMPS/2"
> (**) Mouse0: Device: "/dev/input/mice"
> (**) Mouse0: Protocol: "IMPS/2"
>@@ -1232,36 +1271,12 @@
> (**) Keyboard0: XkbModel: "pc105"
> (**) Option "XkbLayout" "intl"
> (**) Keyboard0: XkbLayout: "intl"
>-(**) Option "XkbOptions" "compose:ralt"
>-(**) Keyboard0: XkbOptions: "compose:ralt"
> (**) Option "CustomKeycodes" "off"
> (**) Keyboard0: CustomKeycodes disabled
> (II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
> (II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
> (II) Mouse0: ps2EnableDataReporting: succeeded
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>-SetGrabKeysState - disabled
>-SetGrabKeysState - enabled
>+(II) Screen 0 shares mem & io resources
>+(II) Screen 1 shares mem & io resources
>+(II) Screen 2 shares mem & io resources
>+(II) Screen 3 shares mem & io resources
Comment 20 Keith Packard 2005-03-31 12:33:49 UTC
I'm having similar trouble on a pair of FireGL V7200 (R423) UQ (PCIE) cards
(pci id 1002:5551).  Dual DVI outputs + SVideo.  DDC correctly detects both
panels, but the secondary panel doesn't see any signal (not just blank, no
signal at all).

I tried both MergeFB and regular multi-screen mode with the same results.  I
also tried two different panel models on the secondary head.
Comment 21 Mathieu Chouquet-Stringer 2005-05-06 09:01:00 UTC
Is there anything we can do to help debugging this problem? Because it makes
current version of xorg rather useless on these kind of setups.

Let us know, I'm sure a lot of us would like to get this fixed.

- Mathieu
Comment 22 Mike A. Harris 2005-05-10 23:15:41 UTC
Sure, if someone who experiences the problem is willing to debug it
and attach their results, that would be a big help.  I doubt many
developers working on Radeon driver outside of ATI have access
to quad-head Radeon hardware, so unless it's a problem that also
affects something on more common hardware, it's probably going to
be difficult for someone else to debug it.

Have you tried CVS head Xorg?  Might want to try that first in case it works.

The easiest way to debug the server, is to recompile it static-only,
and use standard gdb over the network from a second computer (required).

There are a few debugging guides on freedesktop.org IIRC, probably locateable
via google.. sorry I don't have links handy..  You might want to drop by
#xorg-devel and/or #freedesktop on irc.freenode.net also, to discuss with
other devs.

Hope this helps.
Comment 23 Sean Millichamp 2005-05-11 07:20:09 UTC
(In reply to comment #22)
>
> developers working on Radeon driver outside of ATI have access
> to quad-head Radeon hardware, so unless it's a problem that also
> affects something on more common hardware, it's probably going to
> be difficult for someone else to debug it.

As I mentioned in the linked Fedora Core bug report (and apparently failed to
mention in this one), I have an ATI FireGL Z1-128 dual-head DVI card and
experience what sounds to be the same problem: my first display comes on and
shows the first half of my desktop but the second (and last) display never
initializes.
Comment 24 Mathieu Chouquet-Stringer 2005-05-11 07:41:31 UTC
Mike, I just compiled xorg from CVS head but I've got one question: by static,
you mean defining DoLoadableServer to NO in the definition file, correct?

Next step will be to set up the remote gdb thing.
Comment 25 Mike A. Harris 2005-05-11 19:33:45 UTC
Yeah, you want a static server, rather than a modular one, because you
can't debug the modular server with gdb -> it can't resolve symbols
in the modules.

There are patches for older versions of gdb to make it be able to deal
with the X server, but the patches are kindof hackish and were rejected
outright from upstream gdb project.  As such, it's a pain to maintain
the special X server patch for gdb and so nobody keeps it working with
newer versions of gdb.  I kept it working for 5.0->5.1 or thereabouts
and then gave up as it was too much effort to bother with.

I've filed an official enhancement request for gdb to get support
for debugging the X server implemented in a way the gdb developers
feel is generic enough and clean, and I've been told by our gdb
developers about 10 times in the last 2 years "we'll be working on
this soon", but quite frankly I've lost faith in it ever happening
at this point, because it's considered low priority and gets pushed
out of the way for more important gdb features.

Kindof unfortunate, but ah well.  Future Xorg releases will use
dlopen() so the problem should just go away in X11R7 and later, and
we'll be able to use stock gdb.  ;o)

For now though, it's just much easier to debug the static server than
to play games patching gdb.  ;)

Hope this helps.
TTYL
Comment 26 Merit WIlkinson 2005-08-15 10:57:43 UTC
Just a note for people having trouble getting multiple cards to work:
Try setting
  Option  "InitPrimary"   "Off"
  Option  "NoInt10"       "On"
in the DEVICE section of your secondary cards.
We have a Colorgraphic Xentera GT which is an 8 head card composed of 4 Radeon 
M9 chipsets and this did the trick for us.
Comment 27 T. Hood 2005-09-23 08:47:25 UTC
(In reply to comment #26)
> Just a note for people having trouble getting multiple cards to work:
> Try setting
>   Option  "InitPrimary"   "Off"
>   Option  "NoInt10"       "On"
> in the DEVICE section of your secondary cards.
> We have a Colorgraphic Xentera GT which is an 8 head card composed of 4 Radeon 
> M9 chipsets and this did the trick for us.


Did anyone else find that this solved the problem for them?
Comment 28 Ken Kennedy 2005-09-27 06:15:01 UTC
I just discovered a workaround over at RH's bugzilla that worked for me. I have
a Radeon X300 SE, with dual DVI outs. Like several others here, hen I use a
dual-headed layout, I get a desktop on the primary monitor, and the secondary
monitor indicates that it is getting some kind of signal, but the screen remains
blank. The desktop exists for the second monitor, though...you can move the
mouse there, and also open windows there (which can be a pain. *grin*). 

In searching for bugs on this issue, I came here, and eventually also bounced
over to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138479. At the end
of that  ticket, Stephen Adler has a similar problem, and a successful workaround:
" The way I made my second screen work again was by disabing and
re enabling the screen saver, going through the preferences memu.

Applications->Preferences->Screensaver
"

I tried it as well, and it worked for me like a champ. Bizarre! Just wanted to
share the love. Thanks to all for the good info.



Comment 29 T. Hood 2005-09-29 04:27:01 UTC
Second-monitor-blank also reported fixed in Ubuntu

https://bugzilla.ubuntu.com/show_bug.cgi?id=4343
Comment 30 Erik Andren 2006-05-10 05:55:03 UTC
Any improvements using a more current version of xorg?
Comment 31 Chris Hubick 2006-05-10 06:27:49 UTC
(In reply to comment #30)
> Any improvements using a more current version of xorg?

As I reported in the Fedora bug linked from comment #9, I was not able to get my
FireGL Z1 to work at *all* with the radeon driver on a clean Fedora Core 5
install  on my dual DVI workstation - I had to install via text mode and switch
to binary drivers.  Others there reported sucess though, so who knows.  The FC5
install CD won't boot to X, but the FC4 CD still does (though dual DVI didn't
work there, just single head).  IIRC Dual DVI hasn't worked for me with the
X.org driver since FC2 :(
Comment 32 Daniel Stone 2007-02-27 01:23:58 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 33 Florian Scandella 2009-02-07 17:44:11 UTC
maybe i'm hitting the same problem? 

http://bugs.freedesktop.org/show_bug.cgi?id=19439

xset dpms force off/on doesn't work for me.
Comment 34 Corbin Simpson 2010-03-26 18:55:53 UTC
Closing as WONTFIX; the code paths in question are either gone or deprecated. KMS-based kernels should light up all your outputs just fine; if not, feel free to open new bugs.